/*****************************************
 * Ian Ayres and John J. Donohue III
 * Stanford Law Review
 * Response to Plassman and Whitley
 * Table 1a.2
 * State Data
 * Lott-Spline Model
 * Vernick's coding and incarceration rate
 * Dropping Early Legalizers
 * 1977-1999
 *****************************************/

clear
set more off
set mem 40m
set mat 800
use "..\FINAL DATASET.dta", clear
log using "ReplyT1a.2.log", replace
drop if year<77
#delimit ;

replace v_aftr=0 if vernick_shall<77 ;
replace vernick_shall=0 if vernick_shall<77 ;
drop if vernick_shall<92&vernick_shall>77;

gen ttt1=year-76 if vernick_shall>77 ;
replace ttt1=0 if ttt1==.;

areg  lvio v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, replace noparen nolabel coefastr se 3aster;

areg  lmur v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrap v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

areg  laga v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lrob v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lpro v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

areg  laut v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

areg  lbur v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

areg  llar v_aftr ttt1 incarc_rate densitym rpcpi rpcui rpcim stpop pb* pw* pn* iyear_78-iyear_99 [aweight=stpop], absorb(fipsstat) robust;
outreg v_aftr using ReplyT1a.2.xls, append noparen nolabel coefastr se 3aster;

log close;


