/***********************************
 * Ian Ayres and John J. Donohue III
 * Stanford Law Review
 * Response to Plassman & Whitley
 * Table 3a.1
 * Lott's Newest County dataset
 * Replication of PW's Table 3
 * Dummy Variable Model
 * 1977-2000
 *********************/

clear
set more off
set mem 300m
set mat 800
use "../Lott6", clear
log using "ReplyT3a.1.log", replace
#delimit ;

drop if YEAR<1977;
drop if YEAR>2000;

xi: areg  lratvio shallf aovio povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, replace noparen nolabel coefastr se 3aster;

xi: areg  lratmur shallf aomur execrate povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;

xi: areg  lratrap shallf aorap povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;

xi: areg  lrataga shallf aoaga povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;

xi: areg  lratrob shallf aorob povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;

xi: areg  lratpro shallf aopro povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;

xi: areg  lrataut shallf aoaut povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;

xi: areg  lratbur shallf aobur povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;

xi: areg  lratlar shallf aolar povrate Unemprt rpcpi rpcui rpcim rpcrpo popc ppbm1019-ppnf65o
i.NEtrend i.MWtrend i.Strend i.RMtrend i.PACtrend [aweight=popc], absorb(FIPSID) cluster(FIPSSTAT) robust;
outreg shallf using ReplyT3a.1.xls, append noparen nolabel coefastr se 3aster;


log close;